Back to API List
Used to insert bulk data into a Data Table.
Field Value Method POST Endpoint https://{{host}}/api/public/tables/{{tableName}}/bulkContent Type application/jsonAuthorization auth: {{JWT}} See How to generate the JWT Token .App Access Write access to the Data Table from the Data Definition in DaaS.
Path Parameters
Parameter Description hostEnvironment URL, for example, https://platform.kore.ai. tableNameName of the table to insert bulk data into.
Sample Request
curl -X POST 'https: //{{host}}/api/public/tables/{{tableName}}/bulk' \
-H 'auth: { {YOUR_JWT_ACCESS_TOKEN }}' \
-H 'content-type: application/json' \
-d '{
"data" : [
{
"First_Name" : "Jane" ,
"Last_Name" : "Smith" ,
"Gender" : "female" ,
"Number" : 263
},
{
"First_Name" : "Mike" ,
"Last_Name" : "Mike" ,
"Gender" : "male" ,
"Number" : 234
}
]
}'
Body Parameters
Parameter Description dataArray of objects with column_name: value pairs for each row to insert.
The maximum payload size is 50 MB. To ensure the payload is within the limit, paste the entire payload in a JSON file and check its size before running the API.
Sample Response
{
"records" : [
{
"First_Name" : "Jane" ,
"Last_Name" : "Smith" ,
"Gender" : "female" ,
"Number" : 263 ,
"Updated_On" : "2020-03-28T07:02:09.652Z" ,
"Created_On" : "2020-03-28T07:02:09.652Z" ,
"Updated_By" : "st-98e05480-0257-5e35-b6d2-66a323834f9d" ,
"Created_By" : "st-98e05480-0257-5e35-b6d2-66a323834f9d" ,
"sys_Id" : "sys-545dae21-8675-5a95-9c1b-a223bc6f4bc8" ,
"_id" : "27eh4823jh43246jnn2455h34"
},
{
"First_Name" : "Mike" ,
"Last_Name" : "Mike" ,
"Gender" : "male" ,
"Number" : 234 ,
"Updated_On" : "2020-03-28T07:02:09.652Z" ,
"Created_On" : "2020-03-28T07:02:09.652Z" ,
"Updated_By" : "st-98e05480-0257-5e35-b6d2-66a323834f9d" ,
"Created_By" : "st-98e05480-0257-5e35-b6d2-66a323834f9d" ,
"sys_Id" : "sys-545dae21-8675-5a95-9c1b-a223bc6f4bc8" ,
"_id" : "27eh4823jh43246jnn2455h34"
}
]
}